import java.awt.*;
// .awt contains all the CONTROLS = Button, Label, TextField, etc

public class Buttons extends GUI    
{
   // GUI is a library that creates and executes .awt CONTROLS
   
   // Here is where we create (add) the CONTROLS
   Label title = addLabel("Buttons",20,20,100,30,this);
   Button go = addButton("Go",50,50,100,50,this);
   Button plus = addButton("Plus",150,50,100,50,this);
   
   public Buttons()    // This is the CONSTRUCTOR
   {                   // It runs when new Buttons() executes
      super(600,400);  // This must be furst in the constructor
                       // It sets the size of the Window
                       
      title.setFont(new Font("Arial",1,24));     // Bold text   
      this.setLocation(150,50);
   }
   
   public void actions(Object source, String command)
   {
      if(source == go)
      {
         output("OK"); 
      }
      
      if(source == plus)
      {
         int x = inputInt("Type a number");
         int y = inputInt("Another number");
         int total = x+y;
         
         output("Total = " + total);
      }
   }
}